<?php


class Con1 extends database
{
    function proceso($periodo,$grado,$curso)
    {   
        $this->conectar();
        $resul=$this->consulta("select * from rendimiento_general where periodo='".$periodo."' and grado='".$grado."' and curso='".$curso."' order by puesto asc");
        $arr;
        $f=0;

        if($this->numero_de_filas($resul)){
            while ( $tsArray = $this->fetch_assoc($resul) )
                {
                $data[] = $tsArray;}

           return $data;
        }else{
            return ('no');
        }
    
    }
    
     //-----------------------------------------------
     
     function proceso_asign($periodo,$grado,$curso)
    {   
        $this->conectar();
        $resul=$this->consulta("select * from rendimiento_general_asign where periodo='".$periodo."' and grado='".$grado."' and curso='".$curso."' order by puesto asc");
        $arr;
        $f=0;

        if($this->numero_de_filas($resul)){
            while ( $tsArray = $this->fetch_assoc($resul) )
                {
                $data[] = $tsArray;}

           return $data;
        }else{
            return ('no');
        }
    
    }
 
    //-----------------------------------------------
    
    
     function sede($sede)
    {
   
        $this->conectar();
        $resul=$this->consulta("select * from sedes where codigo='".$sede."'");
        $tsArray = $this->fetch_assoc($resul);
      
        return $tsArray['descripcion'];
           
    }

}

?>